MKSWAP(8)

NAZWA
mkswap - konfiguruje linuksowy obszar wymiany

SKŁADNIA

mkswap [opcje] urządzenie [rozmiar]

OPIS

mkswap konfiguruje linuksowy obszar wymiany na urządzeniu lub w pliku.

Argument urządzenie zwykle jest partycją dyskową (czymś w stylu /dev/sdb7), lecz może być również plikiem. Jądro Linux nie zważa na identyfikatory partycji, lecz wiele skryptów instalacyjnych zakłada, że partycje typu (szesnastkowo) 82 (LINUX_SWAP) są partycjami wymiany. (Uwaga: Solaris również używa tego typu. Proszę uważać, aby nie zniszczyć swoich partycji solarisowych.)

Parametr rozmiar jest niepotrzebny, lecz został zachowany w celu zgodności wstecznej. Określa on potrzebny rozmiar wymiany w blokach 1024-bajtowych. mkswap w przypadku pominięcia tego parametru używa całej partycji lub całego pliku. Podawanie tego parametru jest niemądre – literówka może zniszczyć dysk.

Po utworzeniu obszaru wymiany, konieczne jest użycie polecenia swapon, aby go aktywować. Obszary wymiany są zwykle uwzględniane w /etc/fstab, więc mogą być włączane do użytku podczas rozruchu poleceniem swapon -a w jakimś skrypcie startowym.

OSTRZEŻENIE

Nagłówek obszaru wymiany nie używa pierwszego bloku. Może znajdować się tam program rozruchowy lub etykieta partycji, ale nie jest to polecane ustawienie. Zalecaną konfiguracją linuksowej przestrzeni wymiany jest użycie oddzielnej partycji.

mkswap, podobnie jak wiele innych narzędzi mkfs usuwa pierwszy blok partycji aby ukryć istniejący wcześniej system plików.

mkswap odmówi jednak usunięcia pierwszego bloku urządzenia na urządzeniu z etykietą dysku (SUN, BSD, ... - nie mylić z etykietą partycji).

OPCJE

-c, --check
    Sprawdza urządzenie (jeśli jest ono blokowe) w poszukiwaniu uszkodzonych bloków przed utworzeniem obszaru wymiany. Jeśli jakieś zostaną znalezione, to ich liczba zostanie wypisana.

-f, --force
    Wymusza działanie, nawet jeśli polecenie jest idiotyczne. Umożliwia to utworzenie obszaru wymiany większego niż plik lub partycja, na którym się ono znajduje.

    Poza tym, bez tej opcji mkswap odmówi usunięcia pierwszego bloku urządzenia na urządzeniu z etykietą dysku (SUN, BSD, ... - nie mylić z etykietą partycji).

-L, --label etykieta
    Określa etykietę urządzenia, pozwalając wykonać swapon podając etykietę.

--lock[=tryb]
    Używa blokady na wyłączność BSD do urządzeń i plików na których działa. Opcjonalnym argumentem tryb może być yes, no (albo 1 lub 0) lub też nonblock. Jeśli nie poda się trybu, domyślną wartością jest yes. Opcja ta przesłania zmienną środowiskową $LOCK_BLOCK_DEVICE. Choć domyślnie nie jest używana żadna blokada, zaleca się jej użycie aby uniknąć kolizji z udevd i innymi narzędziami.

-p, --pagesize rozmiar
    Określa rozmiar (w bajtach) używanej strony. Podanie tej opcji jest zwykle niepotrzebne - mkswap odczyta odpowiedni rozmiar z jądra.

-U, --uuid UUID
    Podaje UUID do użycia. Domyślnie, UUID jest generowany.

-v, --swapversion 1
    Podaje wersję przestrzeni wymiany. Opcja ta jest obecnie bezużyteczna, jako że stara opcja -v 0 stała się przestarzała i obecnie obsługiwana jest wyłącznie -v 1. Jądro nie obsługuje przestrzeni wymiany w formacie v0 od wersji 2.5.22 (czerwiec 2002). Nowa wersja v1 jest obsługiwana od jądra 2.1.117 (sierpień 1998).

--verbose
    Verbose execution. With this option mkswap will output more details about detected problems during swap area set up.

-h, --help
    Wyświetla ten tekst i kończy pracę.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

ŚRODOWISKO

LIBBLKID_DEBUG=all
    włącza wyjście debugowania libblkid.

LOCK_BLOCK_DEVICE=<tryb>
    używa blokowania na wyłączność BSD. Tryb to "1" lub "0". Więcej informacji w opisie opcji --lock.

UWAGI

Maksymalny użyteczny rozmiar obszaru wymiany zależy od architektury i wersji jądra.

Maksymalną liczbą stron możliwych do zaadresowania przez nagłówek obszaru wymiany jest 4294967295 (32-bitowa liczba całkowita bez znaku). Pozostała przestrzeń urządzenia wymiany jest ignorowana.

Aktualnie, Linux pozwala na 32 przestrzenie wymiany. Używane obszary można zobaczyć w pliku /proc/swaps.

mkswap odmówi działania w przypadku przestrzeni wymiany mniejszych niż 10 stron.

Jeśli używany rozmiar strony jest nieznany, można go znaleźć za pomocą cat /proc/cpuinfo (lub nie - zawartość tego pliku zależy od architektury i wersji jądra).

Aby skonfigurować plik wymiany, konieczne jest utworzenie tego pliku przed zainicjowaniem przy użyciu mkswap, np. korzystając z polecenia w stylu

    # dd if=/dev/zero of=plik_wymiany bs=1MiB count=$((8*1024))

do utworzenia pliku_wymiany o rozmiarze 8GiB.

Proszę zapoznać się z uwagami w podręczniku swapon(8) aby dowiedzieć się o ograniczeniach plików wymiany (problemy z: plikami z dziurami, prealokacją, kopiowaniem przy zapisie).

ZOBACZ TAKŻE

fdisk(8), swapon(8)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

The mkswap command is part of the util-linux package which can be downloaded from

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.